Bug 204587

Summary: [PATCH] math/R-cran-car: Update to 2.1-0
Product: Ports & Packages Reporter: TAKATSU Tomonari <tota>
Component: Individual Port(s)Assignee: David Naylor <dbn>
Status: Closed FIXED    
Severity: Affects Only Me CC: dbn, thierry, wen
Priority: --- Keywords: patch
Version: LatestFlags: bugzilla: maintainer-feedback? (dbn)
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch to update to 2.1-0 none

Description TAKATSU Tomonari freebsd_committer 2015-11-16 03:57:57 UTC
Created attachment 163175 [details]
patch to update to 2.1-0

Update math/R-cran-car to 2.1-0 to unbreak
Comment 1 Wen Heping freebsd_committer 2015-11-27 01:31:46 UTC
Hi, portmgr@:

   math/R-cran-car would be scheduled to remove in 30th Nov, and some other ports depend on it. So an approval required to commit this PR before the maintainer timeout.

wen
Comment 2 David Naylor freebsd_committer 2015-11-28 12:53:02 UTC
I'm back in action.
Comment 3 commit-hook freebsd_committer 2015-11-28 14:31:23 UTC
A commit references this bug:

Author: dbn
Date: Sat Nov 28 14:30:41 UTC 2015
New revision: 402534
URL: https://svnweb.freebsd.org/changeset/ports/402534

Log:
  math/R-cran-car: update to 2.1-0

  Changes:
   - Remove port's broken and depreciated status
   - Add two dependencies
   - Add GPLv3 as dual license
   - Update website URL

  Change Log:
   - New power family called skewPower has been added that can be used with the
     Box Cox method with a few negative responses (joint work with Doug Hawkins).
     Several functions modified to accomodate two-parameter power families.
   - Fixed bug in Anova() for coxph models with clusters (reported by Jesus
     Humberto Gomez ), due apparently to a change in coxph().
   - Anova() F-tests for binomial and Poisson GLMs now changes
     error.estimate="dispersion" to "pearson" as advertized (bug reported by
     Will Petry).
   - Improved behavior of above-plot legends in scatterplot().
   - Fixed sp() (bug reported by Cesar Rabak).
   - Conforms to new CRAN requirements for package imports.

  Reported by:	tota@
  PR:		203418
  PR:		204587

Changes:
  head/math/R-cran-car/Makefile
  head/math/R-cran-car/distinfo
  head/math/R-cran-car/pkg-descr
Comment 4 David Naylor freebsd_committer 2015-11-28 14:32:52 UTC
Thank you for your PR.  Apologies for the delay in getting to this.